package client;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;

import communication.clientToButlerOrders.CBLoginOrder;

public class LoginWindow {
	//Declaration of global variables
	private JFrame LWnd;
	private Client _client;
	private JTextField user;
	private JTextField pass;
	
	//LoginWindow Class
	public LoginWindow(Client client){
		
		//Sets local instance of Client.java
		_client = client;
		
		//Creates login window
		LWnd = new JFrame("Login");
		LWnd.setMinimumSize(new Dimension(350, 150));
		
		//Layout
		JPanel container = new JPanel();
		user = new JTextField(30);
		pass = new JTextField(30);
		container.add(user);
		container.add(pass);
		JButton submit = new JButton("Submit");
		JButton clear = new JButton("Clear");
		JButton cancel = new JButton("Cancel");
		container.add(submit);
		container.add(clear);
		container.add(cancel);
		
		//Button Actions
		submit.addActionListener(new ActionListener() {
			//Try to login
			@Override
			public void actionPerformed(ActionEvent arg0) {
				String name = user.getText();
				String password = user.getText();
				if(_client.sendOrder(new CBLoginOrder(name, password))){
					LWnd.dispose();
				}
			}
		});
		clear.addActionListener(new ActionListener() {
			//Clear textbox values
			@Override
			public void actionPerformed(ActionEvent e) {
				user.setText(null);
				pass.setText(null);
			}
		});
		cancel.addActionListener(new ActionListener() {
			//Closes application
			@Override
			public void actionPerformed(ActionEvent e) {
				System.exit(0);
			}
		});
		
		//Adding of Panel to Frame
		LWnd.add(container);
	}
	
	public void show(){
		LWnd.setVisible(true);
	}
}
